function ests = get_slope_ests(data, myfilter, limitmin, limitmax)

tmp = log(filter(myfilter,1,data));
tmp = tmp(length(myfilter):end);% cut off the incomplete sums at front

tmp3=[];
for i=1:limitmax,
   tmp3 = [tmp3 var(tmp((i+1):end)-tmp(1:(end-i)))];
end
tmp4=[];

limitmu = 4;
for i=1:limitmu,
   tmp4 = [tmp4 mean(tmp(i+1:end)-tmp(1:(end-i)))];
end

ests.s2p=(tmp3(end)-tmp3(limitmin))/(limitmax-limitmin); %faster than regression
ests.mu=(tmp4(end)-tmp4(1))/(length(tmp4)-1); %faster than regression
ests.s2s=var(tmp(2:end)-tmp(1:(end-1)))-ests.s2p;