function myboxplot(x,lowwhis,upwhis,lowbox,upbox)
tmp=size(x);
n=tmp(2);
whiswid=.1;
boxwid=.25;
for(i=1:n)
   r=x(:,i);
   botwhis=prctile(r,lowwhis);
   topwhis=prctile(r,upwhis);
   botbox=prctile(r,lowbox);
   topbox=prctile(r,upbox);
   midbox=nanmedian(r);
   plot([i-whiswid i+whiswid],[botwhis botwhis],'-k',[i-whiswid i+whiswid],[topwhis topwhis],'-k');
   hold on;
   plot([i-boxwid i+boxwid],[botbox botbox],'-k',[i-boxwid i+boxwid],[topbox topbox],'-k');
   plot([i-boxwid i+boxwid],[midbox midbox],'-k',[i-boxwid i+boxwid],[topbox topbox],'-k');
   plot([i i],[botwhis botbox],'-k',[i i],[topbox topwhis],'-k');
   plot([i-boxwid i-boxwid],[botbox topbox],'-k',[i+boxwid i+boxwid],[botbox topbox],'-k');
end
hold off;
set(gca,'XLim',[0 n+1],'XTick',1:n)